%define im_dir %{_libdir}/im

Summary: IIIMF Input Method Software Developers Kit
Name: im-sdk
Epoch: 1
Version: 11.4
Release: 43
License: Distributable
Source: %{name}-%{version}.tar.bz2
Source1: %{name}-htt.conf
Source2: im-switch
Source3: iiimecf-init.el
Patch0: %{name}-20040203-build.patch
#Patch1: %{name}-20011223-DESTDIR.patch
#Patch2: %{name}-20011223-strlcpy.patch
Patch3: im-sdk-20030618-varargs.patch
#Patch4: xiiimp-status_no_status_text.patch
Patch5: im-sdk-64bit.patch
Patch6: im-sdk-gimlet.patch
#Patch7: gimlet-korean-name-115423.patch
Patch8: im-sdk-icuconv-gencnval-destdir-116224.patch
Patch9: im-sdk-CSConv-ct_conf-de-116224.patch
Patch10: im-sdk-newpy-noinst-lt.patch
Patch11: im-sdk-11.4-initscript.patch
Patch12: im-sdk-xft-ac.patch
Patch13: im-sdk-x-xft.patch
Patch14: im-sdk-iiimgcf-candwin_reposition.patch
Patch15: im-sdk-bin_dir.patch
Patch16: im-sdk-11.4-sysconfdir.patch
Patch17: im-sdk-11.4-xiiimp-no-decoration.patch
Patch18: im-sdk-11.4-initscript-lock.patch
## for CannaLE
Patch20: im-sdk-11.4-canna-support-bs-and-del.patch
Patch21: im-sdk-11.4-canna-user-init-file.patch
Patch22: im-sdk-11.4-canna-draw-off-status.patch
Patch23: im-sdk-11.4-canna-no-process-unrelated-keys.patch
Patch24: im-sdk-11.4-canna-ignore-ctrl.patch
# for hangul LE
Patch40: im-sdk-11.4-hangul-ignore-ctrl.patch
# htt.conf local permit
Patch41: im-sdk-11.4-htt-local-permit.patch

URL: http://www.openi18n.org/
Group: Applications/System
Requires: intltool >= 0:0.29-1
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: tcp_wrappers
BuildRequires: openmotif-devel
BuildRequires: Canna-devel >= 3.7p1-6
BuildRequires: GConf2-devel, libglade2-devel, gnome-panel-devel
BuildRequires: automake16, libtool, gettext, emacs

%description
im-sdk is a IIIMF Input Method Software Developers Kit. 

%package -n iiimf-csconv
Summary:      Codeset Conversion modules for IIIMF components
Group:        System Environment/Libraries

%description -n iiimf-csconv
Provides Codeset Conversion modules for IIIMF components.

%package -n iiimf-protocol-lib
Summary:      Internet/Intranet Input Method Protocol library
Group:        System Environment/Libraries

%description -n iiimf-protocol-lib
Provides Internet/Intranet Input Method Protocol library.

%package -n iiimf-protocol-lib-devel
Summary:      Internet/Intranet Input Method Protocol library header files.
Group:        Development/Libraries
Requires:	iiimf-protocol-lib = %{epoch}:%{version}-%{release}

%description -n iiimf-protocol-lib-devel
Provides Internet/Intranet Input Method Protocol library header files.

%package -n iiimf-client-lib
Summary:      Internet/Intranet Input Method Client Framework library
Group:        System Environment/Libraries
Requires:	iiimf-protocol-lib = %{epoch}:%{version}-%{release}

%description -n iiimf-client-lib
Provides Internet/Intranet Input Method Client Framework library.

%package -n iiimf-client-lib-devel
Summary:      Internet/Intranet Input Method Client Framework library header files.
Group:        Development/Libraries
Requires:	iiimf-client-lib = %{epoch}:%{version}-%{release}

%description -n iiimf-client-lib-devel
Provides Internet/Intranet Input Method Client Framework library header files.

%package -n iiimf-server
Summary:      IIIMF input method server
Group:        Applications/System
Requires:	iiimf-csconv = %{epoch}:%{version}-%{release}
Requires:	iiimf-protocol-lib = %{epoch}:%{version}-%{release}
Requires:	iiimf-client-lib = %{epoch}:%{version}-%{release}
Obsoletes: 	im-sdk
Requires(pre):  /usr/sbin/useradd
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/service, /sbin/chkconfig, /usr/sbin/userdel
Requires(postun): /sbin/service

%description -n iiimf-server
IIIMF server is a server module of Internet/Intranet Input Method Framework.

%package -n iiimf-le-unit
Summary:      Unit language engine for iiimf-server
Group:        System Environment/Libraries
Requires:	iiimf-server = %{epoch}:%{version}-%{release}

%description -n iiimf-le-unit
Provides Unit language engine for iiimf-server.

%package -n iiimf-le-newpy
Summary:      New Pinyin language engine for iiimf-server
Group:        System Environment/Libraries
Requires:	iiimf-server = %{epoch}:%{version}-%{release}
Requires:	openmotif

%description -n iiimf-le-newpy
Provides New Pinyin language engine for iiimf-server

%package -n iiimf-le-hangul
Summary:      Korean language engine for iiimf-server
Group:        System Environment/Libraries
Requires:	iiimf-server = %{epoch}:%{version}-%{release}

%description -n iiimf-le-hangul
Provides Korean language engine for iiimf-server

%package -n iiimf-le-canna
Summary:      Japanese Canna engine for iiimf-server
Group:        System Environment/Libraries
Requires:	iiimf-server = %{epoch}:%{version}-%{release}
Requires: 	Canna-libs

%description -n iiimf-le-canna
Provides Japanese Canna engine for iiimf-server

%package -n iiimf-x
Summary:      IIIMF XIM BackEnd module
Group:        User Interface/X
# Removed XFree86-libs dependancy, as this makes the package dependant on
# the specific XFree86 implementation and makes it impossible to remove
# XFree86 from the distribution and replace it with xorg-x11.  If there is
# particular requirement here, be sure to use versioned BuildRequires on the
# XFree86-devel package instead in the main package section, and the libs
# should automatically get picked up by rpm find-requires during packaging.
# mharris@redhat.com -- March 16, 2004
#Requires:       XFree86-libs >= 4.3.0

%description -n iiimf-x
IIIMF X Provides XIM bridge modules through which legacy XIM clients should
be able to communicate to IIIMF server.

%package -n iiimf-gtk
Summary:      GTK Input Method Context Module for IIIMP
Group:        User Interface/X
BuildRequires:	glib2-devel >= 2.2.2
BuildRequires:  pango-devel >= 1.2.3
BuildRequires:	gtk2-devel >= 2.2.2
Requires:       glib2 >= 2.2.2
Requires:	atk >= 1.2.2
Requires:	pango >= 1.2.3
Requires:       gtk2 >= 2.2.2
Requires:	iiimf-client-lib = %{epoch}:%{version}-%{release}
Requires:	iiimf-protocol-lib = %{epoch}:%{version}-%{release}
Requires(post): iiimf-client-lib iiimf-protocol-lib
Requires(post,postun): %{_bindir}/gtk-query-immodules-2.0

%description -n iiimf-gtk
Gtk Input Method Context for IIIM provides GUI to display input method 
status and to select input languages in your Gtk+ applicaitons.

%package -n iiimf-docs
Summary:      IIIMF documentation
Group:        Documentation

%description -n iiimf-docs
Provides IIIMF documentation

%package -n iiimf-emacs
Summary: Internet/Intranet Input Method Emacs Client Framework
Group: Applications/Editors

%description -n iiimf-emacs
IIIMECF provides an Emacs library to make IIIM aware applications and
iiimcf-sc, a simple input method library controlled by IIIM server(s).

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}
%patch0 -p1
#%patch1 -p2 -b .DESTDIR
#%patch2 -p1 -b .strlcpy
%patch3 -p1 -b .varargs
#%patch4 -p1 -b .nostatus
%patch5 -p1 -b .64
%patch6 -p1 -b .gimlet
#%patch7 -p1 -b .gimlet-korean
%patch8 -p1 -b .icuconv-gencnval-destdir-116224
%patch9 -p1 -b .CSConv-ct_conf-de
%patch10 -p1 -b .instLT
%patch11 -p1 -b .initscript
%patch12 -p1 -b .xft-ac
%patch13 -p1 -b .x-xft
%patch14 -p1 -b .reposition
%patch15 -p1 -b .bindir
%patch16 -p1 -b .sysconfdir
%patch17 -p1 -b .no-decoration
%patch18 -p1 -b .initscript-lock
%patch20 -p1 -b .canna-bs-del
%patch21 -p1 -b .canna-init-file
%patch22 -p1 -b .canna-draw-off
%patch23 -p1 -b .canna-unrelated-keys
%patch24 -p1 -b .canna-ignore-ctrl
%patch40 -p1 -b .hangul-ignore-ctrl
%patch41 -p1 -b .htt-local-permit

if [ %{im_dir} != "/usr/lib/im" ]; then
  find . -type f | xargs grep -l "/usr/lib/im" | \
	xargs perl -pi -e "s|/usr/lib/im|%{im_dir}|g;"
fi

%build
#make prefix=%{im_dir} config build

make update-acfiles

make config CONFIGDIRS="lib/EIMIL lib/iiimp lib/iiimcf iiimsf leif iiimxcf/xiiimp.so iiimxcf/htt_xbe"

export CFLAGS="$RPM_OPT_FLAGS"
cd lib/CSConv
./configure --prefix=%{im_dir}
make
cd ../..

cd lib/EIMIL
./configure --prefix=%{im_dir}
make
cd ../..

cd lib/iiimp
./configure --prefix=%{im_dir}
make
cd ../..

cd lib/iiimcf
./configure --prefix=%{im_dir}
make
cd ../..

cd iiimsf
automake-1.6
autoconf
./configure --prefix=%{im_dir} --sysconfdir=%{_sysconfdir}
make
cd ..

cd leif
./configure --prefix=%{im_dir}
make
cd ..

cd iiimxcf/xiiimp.so
#sh ./autogen.sh --prefix=%{im_dir}
./configure --prefix=%{im_dir}
make
cd ../..

cd iiimxcf/htt_xbe
./configure --prefix=%{im_dir}
make
cd ../..

cd iiimgcf
./autogen.sh --prefix=%{im_dir} --sysconfdir=%{_sysconfdir}
make
cd ..

cd gnome-im-switcher
./autogen.sh --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --libdir=%{_libdir}
make
cd ..

cd iiimecf
emacs -q --no-site-file -batch -l iiimcf-comp.el
cd ..

%install
#make DESTDIR=${RPM_BUILD_ROOT} prefix=%{im_dir} install
#pushd lib/CSConv
#make DESTDIR=${RPM_BUILD_ROOT} prefix=%{im_dir} install
#popd

cd lib/CSConv
make DESTDIR=$RPM_BUILD_ROOT install
cd ../..

cd lib/EIMIL
make DESTDIR=$RPM_BUILD_ROOT install
cd ../..

cd lib/iiimp
make DESTDIR=$RPM_BUILD_ROOT install
cd ../..

cd lib/iiimcf
make DESTDIR=$RPM_BUILD_ROOT install
cd ../..

cd iiimsf
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/rc.d/init.d/
cp sys/RedHat/IIim $RPM_BUILD_ROOT/%{_sysconfdir}/rc.d/init.d/
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mv $RPM_BUILD_ROOT%{im_dir}/htt $RPM_BUILD_ROOT%{_sbindir}
mv $RPM_BUILD_ROOT%{im_dir}/htt_server $RPM_BUILD_ROOT%{_sbindir}
cd ..

cd leif
make DESTDIR=$RPM_BUILD_ROOT install
cd ..

cd iiimxcf/xiiimp.so
make DESTDIR=$RPM_BUILD_ROOT install
cd ../..

cd iiimxcf/htt_xbe
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mv $RPM_BUILD_ROOT%{im_dir}/httx $RPM_BUILD_ROOT%{_bindir}
mv $RPM_BUILD_ROOT%{im_dir}/htt_xbe $RPM_BUILD_ROOT%{_bindir}
cd ../..

cd iiimgcf
make DESTDIR=$RPM_BUILD_ROOT install
cd ..

cd gnome-im-switcher
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=$RPM_BUILD_ROOT install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
cd ..

cp -p %SOURCE2 $RPM_BUILD_ROOT/%{_bindir}

cd iiimecf/lisp
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/emacs/site-lisp/{iiimecf,site-start.d}
cp -p *.el *.elc $RPM_BUILD_ROOT/%{_datadir}/emacs/site-lisp/iiimecf
cd ../..
cp -p %SOURCE3 $RPM_BUILD_ROOT/%{_datadir}/emacs/site-lisp/site-start.d

# make sure dl modules are executable
chmod a+x $RPM_BUILD_ROOT%{im_dir}/leif/*.so

# removing the unnecessary files
rm -rf $RPM_BUILD_ROOT%{im_dir}/bin

%post -n iiimf-gtk
%{_bindir}/gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules

HOME=/root GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` \
gconftool-2  --makefile-install-rule /etc/gconf/schemas/gnome-im-switcher.schemas > /dev/null

%postun -n iiimf-gtk
%{_bindir}/gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules

%pre -n iiimf-server
/usr/sbin/useradd htt -c "IIIMF Htt" -r -s /sbin/nologin -d /usr/lib/im  -M >/dev/null 2>&1
exit 0

%post -n iiimf-server
/sbin/chkconfig --add IIim

%preun -n iiimf-server
if [ "$1" = 0 ] ; then
  /sbin/service IIim stop >/dev/null 2>&1
  /sbin/chkconfig --del IIim
  /usr/sbin/userdel htt 2>/dev/null 2>&1
fi

%postun -n iiimf-server
if [ "$1" -ge "1" ]; then
  /sbin/service IIim condrestart >/dev/null 2>&1
fi


%clean
rm -rf ${RPM_BUILD_ROOT}

#%files
#%defattr(-,root,root)
#%{im_dir}/*
#%{_libdir}/gtk-2.0/*
#Disabled for 20030507-1
#/usr/X11R6/lib/X11/locale/common/*

%files -n iiimf-csconv
%defattr (-, root, root,-)
%dir %{im_dir}
%{im_dir}/csconv/*
%{im_dir}/icuconv/*
%{im_dir}/share/icu/*

%files -n iiimf-protocol-lib
%defattr (-, root, root,-)
%dir %{im_dir}
%{im_dir}/lib/libiiimp*so.*
%{im_dir}/lib/libEIMIL*so.*

%files -n iiimf-protocol-lib-devel
%defattr (-, root, root,-)
%dir %{im_dir}
%{im_dir}/lib/libiiimp*.so
%{im_dir}/lib/libiiimp*a
%{im_dir}/lib/libEIMIL*.so
%{im_dir}/lib/libEIMIL*a
%{im_dir}/include/iiimp.h
%{im_dir}/include/iiimp-character-subsets.h
%{im_dir}/include/iiimp-data.h
%{im_dir}/include/iiimp-keycode.h
%{im_dir}/include/iiimp-opcode.h
%{im_dir}/include/EIMIL.h

%files -n iiimf-client-lib
%defattr (-, root, root,-)
%dir %{im_dir}
%{im_dir}/lib/libiiimcf*.so.*

%files -n iiimf-client-lib-devel
%defattr (-, root, root,-)
%dir %{im_dir}
%{im_dir}/lib/libiiimcf*.so
%{im_dir}/lib/libiiimcf*a
%{im_dir}/include/iiimcf.h

%files -n iiimf-server
%defattr (-, root, root,-)
%{_sysconfdir}/rc.d/init.d/IIim
%{_sysconfdir}/htt.conf
%{_sbindir}/htt
%{_sbindir}/htt_server

%files -n iiimf-le-unit
%defattr (-, root, root,-)
%dir %{im_dir}
%{im_dir}/leif/unitle.so
#%{im_dir}/leif/indicle.so
%{im_dir}/locale/UNIT/*

%files -n iiimf-le-newpy
%defattr (-, root, root,-)
%dir %{im_dir}
%{im_dir}/leif/newpy.*
%{im_dir}/locale/zh_CN/newpy/*

%files -n iiimf-le-hangul
%defattr (-, root, root,-)
%dir %{im_dir}
%{im_dir}/leif/hangul.*
%{im_dir}/locale/ko_KR/*

%files -n iiimf-le-canna
%defattr (-, root, root,-)
%dir %{im_dir}
%{im_dir}/leif/CannaLE*

%files -n iiimf-x
%defattr (-, root, root,-)
%dir %{im_dir}
#%{_sysconfdir}/iiim/xsession
%{_bindir}/httx
%{_bindir}/htt_xbe
%attr(755,root,root) %{_bindir}/im-switch
%{im_dir}/xiiimp*

%files -n iiimf-gtk
%defattr (-, root, root,-)
%{_libdir}/gtk-2.0/*/immodules/*
%{_sysconfdir}/gconf/schemas/*
%{_libdir}/bonobo/*
%{_libexecdir}/*
%{_datadir}/locale/*
%{_datadir}/gnome-2.0/*
%{_datadir}/gnome-im-switcher/*

%files -n iiimf-docs
%defattr(-, root, root,-)
%doc doc/*

%files -n iiimf-emacs
%defattr(-, root, root,-)
%doc iiimecf/{COPYING,lisp/ChangeLog,README*}
%{_datadir}/emacs/site-lisp

%changelog
* Mon May 10 2004 Warren Togami <wtogami@redhat.com> 1:11.4-43
- im-sdk-11.4-htt-local-permit.patch: Allow htt connections when DNS does not match
  Fixes CJK for many users.  FC2 BLOCKER #121480

* Mon May 10 2004 Akira TAGOH <tagoh@redhat.com> 1:11.4-42
- im-sdk-11.4-initscript-lock.patch: to avoid the conflicts, which causes 100%
  CPU eaten. (Warren Togami, FC2 BLOCKER #122631)

* Fri Apr 23 2004 Akira TAGOH <tagoh@redhat.com> 1:11.4-41
- im-sdk-11.4-xiiimp-no-decoration.patch: disabled all of the window decoration
  for the status window. (#121018)

* Mon Apr 19 2004 Akira TAGOH <tagoh@redhat.com> 1:11.4-40
- fixed an owner of im-switch (FC2 BLOCKER #121136)

* Sat Apr 17 2004 Jens Petersen <petersen@redhat.com> - 1:11.4-39
- add im-switch script to iiimf-x (Leon Ho)
- build iiimecf and put in iiimf-emacs subpackage
  - buildrequire emacs and add iiimecf-init.el to site-start.d
- buildrequire gnome-panel-devel not gnome-panel

* Fri Apr 16 2004 Akira TAGOH <tagoh@redhat.com> 1:11.4-38
- gave %dir /usr/lib/im to the packages, which is needed.
- removed %dir /usr/lib/im from iiimf-server.
  it no longer contains that directory.
- im-sdk-11.4-canna-ignore-ctrl.patch: applied to fix "should ignore Ctrl key"
  issue. (#120484)
- im-sdk-11.4-hangul-ignore-ctrl.patch: applied to fix "should ignore Ctrl key"
  issue. (#120484)

* Thu Apr 15 2004 Akira TAGOH <tagoh@redhat.com> 1:11.4-37
- im-sdk-11.4-sysconfdir.patch: applied to move htt.conf to /etc.
  it's comfortable for SELinux and FHS.
- im-sdk-bin_dir.patch: modified to move htt_xbe to /usr/bin as well.
  it's actually running by the user. not system command.
- removed /usr/lib/im/bin/*. no need to ship rubbishes.

* Tue Apr 6 2004 Yu Shao <yshao@redhat.com>
- fixed a bug of candidates in lookup window are mixed up when there are 
  multiple characters for each candidate, updated Patch13: 
  im-sdk-x-xft.patch -35
- moved httx into bindir -35
- fixed a English typo from upstream, bug #120152 -36

* Sun Apr 4 2004 Yu Shao <yshao@redhat.com>
- fixed bug #119419

* Thu Apr 01 2004 Akira TAGOH <tagoh@redhat.com> 1:11.4-33
- rebuilt against the latest Canna to satisfy the dependency.

* Sun Mar 28 2004 Yu Shao <yshao@redhat.com> 1:11.4-32
- fixed typos in -bin_dir.patch

* Fri Mar 26 2004 Yu Shao <yshao@redhat.com> 1:11.4-31
- moved all binaries to /usr/sbin to make SElinux happy

* Thu Mar 25 2004 Yu Shao <yshao@redhat.com> 1:11.4-30
- update patch from #118702 and #118650
- rebuild to get GTK2_BINARY_VERSION updated

* Sun Mar 21 2004 Yu Shao <yshao@redhat.com> 1:11.4-29
- fixed a bug in im-sdk-x-xft.patch causing httx to crash when apps quit

* Sun Mar 21 2004 Yu Shao <yshao@redhat.com> 1:11.4-28
- updated patch im-sdk-x-xft.patch
- added patch for bug 118702, im-sdk-iiimgcf-candwin_reposition.patch

* Tue Mar 16 2004 Mike A. Harris <mharris@redhat.com> 1:11.4-27
- Removed XFree86-libs dependancy, as this makes the package dependant on
  the specific XFree86 implementation and makes it impossible to remove
  XFree86 from the distribution and replace it with xorg-x11.  If there is
  particular requirement here, be sure to use versioned BuildRequires on the
  XFree86-devel package instead in the main package section, and the libs
  should automatically get picked up by rpm find-requires during packaging,
  without the explicit Requires.  (#118474)
- Added "Requires(post,postun): %{_bindir}/gtk-query-immodules-2.0" to the
  iiimf-gtk subpackage
- Added the following dependancies to the iiimf-server subpackage:
  - Requires(pre):  /usr/sbin/useradd
  - Requires(post): /sbin/chkconfig
  - Requires(preun): /sbin/service, /sbin/chkconfig, /usr/sbin/userdel
  - Requires(postun): /sbin/service
- Use /sbin/service explicitly in rpm scripts
- Fixed bug where /sbin/userdel was being called instead of /usr/sbin/userdel
  in the iiimf-server preun script

* Fri Mar 12 2004 Yu Shao <yshao@redhat.com>
- disable patch gimlet-korean-name-115423.patch, to fix gimlet won't start bug
- #115423

* Thu Mar 11 2004 Yu Shao <yshao@redhat.com>
- updated to latest revision 1587

* Thu Mar 11 2004 Jens Petersen <petersen@redhat.com> - 1:11.4-24
- install htt in %{_sbindir} and httx in %{_bindir} (part of #117931)
- update im-sdk-11.4-initscript.patch to use %{_sbindir}/htt
  and improve start and stop messages (#117455)
- only "make config" for subdirs we don't run autogen.sh in
- export CFLAGS in %%build

* Thu Mar 4 2004 Yu Shao <yshao@redhat.com>
- add xft patch to display candidate characters properly in httx(#117355)
- fix package requirements(#117353)

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sun Feb 29 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- mv /etc/init.d -> /etc/rc.d/init.d

* Fri Feb 27 2004 Jens Petersen <petersen@redhat.com> - 1:11.4-20
- make iiimf-server obsolete im-sdk

* Fri Feb 27 2004 Akira TAGOH <tagoh@redhat.com> 1:11.4-19
- im-sdk-11.4-canna-no-process-unrelated-keys.patch: applied to allow working
  unrelated keys during no preediting. (#114002)
- im-sdk-11.4-canna-draw-off-status.patch: fixed crash issue.

* Thu Feb 26 2004 Akira TAGOH <tagoh@redhat.com> 1:11.4-18
- im-sdk-11.4-canna-user-init-file.patch: applied to allow to use user owned .canna file.
- im-sdk-11.4-canna-draw-off-status.patch: applied to fix empty status window (#116444)
- im-sdk-11.4-initscript.patch: use --user for htt daemon and don't use suid. (#116904)

* Wed Feb 25 2004 Yu Shao <yshao@redhat.com>
- let htt, httx run as user htt instead of root(#116556) 

* Tue Feb 24 2004 Akira TAGOH <tagoh@redhat.com> 1:11.4-16
- im-sdk-11.4-canna-support-bs-and-del.patch: hopefully applied to fix #112291.

* Fri Feb 20 2004 Yu Shao <yshao@redhat.com>
- updated im-sdk-20040203-build.patch, closed init start bug (#115285) 

* Fri Feb 20 2004 Jens Petersen <petersen@redhat.com> - 1:11.4-14
- do not specify Canna version, instead make leif modules executable for
  find-requires (#113999)
- avoid newpy libtool lib install with im-sdk-newpy-noinst-lt.patch
- buildrequire openmotif-devel, iiimf-le-newpy requires openmotif
- make subpackage require current EVR
- improve subpackage groups and drop superfluous autoreqprov's
- rename prefix to im_dir and use it throughout

* Thu Feb 19 2004 Yu Shao <yshao@redhat.com>
- build errors, patches from Jens Petersen (#116224)

* Thu Feb 19 2004 Jens Petersen <petersen@redhat.com>
- iiimf-le-canna requires Canna-libs not Canna (#113999)
- use "=" not ">=" for the Canna version dependency

* Wed Feb 18 2004 Warren Togami <wtogami@redhat.com> r11.4-13
- BR automake16, libtool, GConf2-devel, libglade2-devel, gnome-panel, gettext
- spec cleanups

* Mon Feb 16 2004 Yu Shao <yshao@redhat.com> r11.4-12
- #115423, Patch from Jens Petersen

* Mon Feb 16 2004 Yu Shao <yshao@redhat.com> r11.4-11
- #115215, init script doesn't show ok bug
- #113922, gconf error bug

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 10 2004 Yu Shao <yshao@redhat.com> r11.4-9
- #115217, gnonme-im-switcher-applet doesn't start bug

* Fri Feb 6 2004 Yu Shao <yshao@redhat.com> r11.4-8
- more bug fixes, gtk crashing #112290, library inclusion #113925

* Wed Feb 5 2004 Yu Shao <yshao@redhat.com> r11.4-7
- more bug fixes, canna requirement and initscript

* Tue Feb 4 2004 Yu Shao <yshao@redhat.com> r11.4-6
- exclude .svn and change the version using dot
- add obsolete im-sdk and intltool version requirements

* Tue Feb 4 2004 Yu Shao <yshao@redhat.com> r11_4-5
- latest snapshot from openi18n.org

* Fri Jan 9 2004 Yu Shao <yshao@redhat.com> r11_4-4
- fixed packages requirements 

* Fri Dec 19 2003 Yu Shao <yshao@redhat.com> r11_4-3
- latest snapshot build and package splitting according to the 
  discussions on openi18n-im@openi18n.org

* Tue Nov 25 2003 Thomas Woerner <twoerner@redhat.com> 1:11_4-2
- fixed libdir problem

* Tue Nov 18 2003 Thomas Woerner <twoerner@redhat.com>
- Fixed RPATH: Fixed prefix in %%build, simplified %%install,
  Readded BuildRequires for Canna-devel (for CannaLE.so, ..)

* Tue Aug 26 2003 Yu Shao <yshao@redhat.com> r11_4
- im-sdk r11_4 release build
  obsolete Patch4: xiiimp-status_no_status_text.patch

* Tue Jul 29 2003 Bill Nottingham <notting@redhat.com> r11_3.3
- fix build on ia64, enable it

* Thu Jun 19 2003 Yu Shao <yshao@redhat.com> r11_3.2
- added Patch4: xiiimp-status_no_status_text.patch

* Wed Jun 18 2003 Yu Shao <yshao@redhat.com> r11_3.1
- im-sdk r11_3 new release build
  updated im-sdk-20030618-build.patch and
          im-sdk-20030618-varargs.patch

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 22 2003 Jeremy Katz <katzj@redhat.com> 20030507-3
- fix to build with gcc 3.3

* Thu May 8 2003 Yu Shao <yshao@redhat.com> 20030507-2
- im-sdk r11_2 missing library fix

* Wed May 7 2003 Yu Shao <yshao@redhat.com> 20030507-1
- im-sdk r11_2 release

* Fri May 2 2003 Yu Shao <yshao@redhat.com> 20030327-3
- patch to fix broken dep #89813

* Mon Apr 28 2003 Tim Powers <timp@redhat.com> 20030327-2
- rebuild to fix broken dep

* Thu Mar 27 2003 Yu Shao <yshao@redhat.com>
- new r11_1 build

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Sun Feb 23 2003 Tim Powers <timp@redhat.com>
- added buildprereq on tcp_wrappers

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan 22 2003 Yu Shao <yshao@redhat.com>
- added several 64bit patches to build it on all 
  architectures

* Mon Jan 20 2003 Yu Shao <yshao@redhat.com>
- new 20030118 build

* Thu Jan 16 2003 Yu Shao <yshao@redhat.com>
- new codebase with EIMIL/PCE interim implemention
- spec file update
- im-sdk-20030110-buildpatch.patch

* Thu Oct 7 2002 Yu Shao <yshao@redhat.com>
- experimental implementation IIIMSF CVS

* Thu Oct 3 2002 Yu Shao <yshao@redhat.com>
- new stable branch CVS

* Thu Aug 15 2002 Yu Shao <yshao@redhat.com>
- new 20020813 CVS, disable patch2

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 20011223-7
- build using gcc-3.2-0.1

* Thu Jul 18 2002 Akira TAGOH <tagoh@redhat.com> 20011223-6
- add the owned directory.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Mar 26 2002 Yukihiro Nakai <ynakai@redhat.com>
- Add some fix for ia64,alpha
- Add strlcpy/strlcat patch, #61898

* Sun Dec 30 2001 Yukihiro Nakai <ynakai@redhat.com>
- Initial release
